{

	//此Ability已废弃

	"AbilityName" : "Follower_Trans",

	"AbilityStacking" : "Unique",



	"OnAbilityStart":

	[

	   {

	    "$type" : "MoleMole.ApplyModifier",

		"ModifierName" : "ProcessSkillBtnCtrlModifier",

		"Predicates":

		[

		  {

		    "$type": "MoleMole.ByModelPath",

			"Target": "Self",

			"CompareType" : "Equal",  

			"ModelPath" : "%TransPrefabPath"

		  }

		]

	  },



	  //判断是否为同一个模型

	  {

	    "$type" : "MoleMole.ApplyModifier",

		"ModifierName" : "ChangeModelModifier",

		"Predicates":

		[

		  {

		  	"$type": "MoleMole.ByModelPath",

			"Target": "Self",

			"CompareType" : "NotEqual",  

			"ModelPath" : "%TransPrefabPath"

		  }

		]

	  }

	],



	"Modifiers" : 

    {

    	//判断是否为同一个模型

    	"ChangeModelModifier":

    	{

    		"ModifierStacking" : "Unique",

    		"Duration": 0.01,



    		"OnAdded" :

    		[

    			{

		    		"$type" : "MoleMole.TransModelAction",

		    		"TransPrefabPath" : "%TransPrefabPath"

		    	},

		    	{

		    		"$type" : "MoleMole.FireEffect",

		    		"EffectPattern" : "Eff_Follower_Trans_Start",

		    		"Target" : "Self"

		    	},

		    	{

		    		"$type" : "MoleMole.SetAnimCtrlerParamAction",

		    		"ParamType" : 1,

		    		"ParamName" : "Trigger_SelfDestruction",

		    		"Target" : "Self",

		    		"BoolVal" : true

		    	}

		    ],



		    "OnRemoved":

		    [

		    	{

		    		"$type" : "MoleMole.ApplyModifier",

		    		"ModifierName" : "ProcessSkillBtnCtrlModifier"

		    	},

		    	{

		    		"$type" : "MoleMole.SetAnimCtrlerParamAction",

		    		"ParamType" : 1,

		    		"ParamName" : "Trigger_ShowUp",

		    		"Target" : "Self",

		    		"BoolVal" : true

		    	}

		    ]

		},



		"ProcessSkillBtnCtrlModifier":

		{

			"ModifierStacking" : "Unique",

			"Duration": 0.1,

			"OnAdded" :

			[

				{

					"$type" : "MoleMole.ProcessSkillBtnControlAction",

					"BtnIndex": "%BtnIndex"

				},

				{

					"$type" : "MoleMole.SetFollowerInvisibleAction",

					"IsInvisible" : false,

				},

				{

                    "$type" : "MoleMole.FireEffect",

                    "EffectPattern" : "Eff_Follower_Trans_Start",

                    "Target" : "Self",

                },

			]

		}

	}

}